Bug 7064 - upgrade of 6.0 system fails when querying for packages
upgrade of 6.0 system fails when querying for packages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-16 18:37 EST by John Heidemann
Modified: 2015-01-07 18:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-22 13:46:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Heidemann 1999-11-16 18:37:42 EST
When I upgrade a RH 6.0 system, the installer freezes
with the "querying for packages" message up.
Looking at the 1st virtual terminal,  I see:

[...X startup stuff...]
Traceback (innermost last):
  File "/usr/lib/phython1.5/site-packages/gtk.py", line 120, in __call__
...
  File "/usr/lib/phython1.5/site-packages/todo.py", line 602, in
mountFilesystems
    isys.makeDevInode(device, '/tmp/' + device)
  File "/usr/lib/phython1.5/site-packages/isys.py", line 64, in
makeDevInode
    return _isys.mkdevinode(name, fn)
SystemError: (2, 'No such file or directory')

I'm using the stock 6.1 pcmcia.img and remote-NFS installing from a machine
on the same LAN.

The upgrading system's file systems are:
/dev/hda1 on / type ext2 (rw)
/dev/hda7 on /home type ext2 (rw)
/dev/hda5 on /usr type ext2 (rw)

with no other partions.

Any suggestions?
Comment 1 John Heidemann 1999-11-18 22:19:59 EST
I retried the upgrade with text mode and got similar results.
Here's the (complete this time) traceback from that upgrade:

File "/usr/bin/anaconda", line 255, in ?
  intf.run(todo,test=test)
  File
"../../../RedHat/instimage/usr/lib/python1.5/site-packages/text.py",
line 1000, in run
  rc = apply(step[1](), step[2])
  File
  "../../../RedHat/instimage/usr/lib/python1.5/site-packages/text.py",
line 251, in __call__
  todo.upgradeFindPackages (root)
  File   "../../../RedHat/instimage/usr/lib/python1.5/site-packages/todo.py",
  line 1154, in upgradeFindPackages self.mountFilesystems ()
  File
  "../../../RedHat/instimage/usr/lib/python1.5/site-packages/todo.py",
  line 602, in mountFilesystems
  isys.makeDevInode(device, '/tmp/' + device)
  File
  "/usr/lib/python1.5/site-packages/isys.py", line 64, in makeDevInode
    return _isys.mkdevinode(name, fn)
  SystemError: (2, 'No such file or directory')
Comment 2 Jay Turner 1999-11-22 13:46:59 EST
By any chance is /tmp a symlink to another location on your system?  I am
betting that you have /tmp absolute symlinked to a different location, which is
what is causing this problem.  The installer is not able to follow absolute
symlinks, so if this is the case, then just convert it to a relative symlink and
you should not have the problem anymore.

Reopen this bug if this does not solve the problem.
Comment 3 David Martin 1999-12-04 14:35:59 EST
After fixing my first problem with the installer by following the suggestions
documented in bug#5555, I was then surprised with this same error message. I
reran the installer in text mode and dropped in to the python debugger when
prompted after the installer kicked out the backtrace message.  Typing "a"
revealed the args "name" and "fn" passed to _isys.mkdevinode() were set to
swapfile and /tmp//swapfile.  In my configuration the swapfile is located on the
ext2 filesystem under /boot i.e. /boot/swapfile.  To fix this problem I made a
backup of /etc/fstab, deleted the swapfile entry, and then rebooted to the
installer.  Everything ran flawlessly after that!

IMHO, this is a flaw in the installer and should be fixed.  Not everyone has a
separate swap partition.  In my case I have 256M of ram so I chose to save the
disk space knowingly sacrificing swap performance.

------- Email Received From  John Heidemann <johnh@isi.edu> 12/07/99 19:57 -------

Note You need to log in before you can comment on or make changes to this bug.